> For the complete documentation index, see [llms.txt](https://cherrycake.tin.cat/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://cherrycake.tin.cat/reference/core-classes/statsevent/statsevent-properties.md).

# StatsEvent properties

## $id <a href="#id" id="id"></a>

The id of the event in the database.

## $type <a href="#type" id="type"></a>

The type of the stats event, matching the name of the class that generated it.

## $subType <a href="#subtype" id="subtype"></a>

The sub-type of the stats event.

## $resolution <a href="#resolution" id="resolution"></a>

The time frame resolution used by this event. One of the available [`STATS_EVENT_TIME_RESOLUTION_?`](/reference/core-classes/statsevent.md#constants) constants.

## $timestamp <a href="#dateadded" id="dateadded"></a>

The timestamp this event was added to the event log.

## $isSecondaryId <a href="#issecondaryid" id="issecondaryid"></a>

Whether this [StatsEvent](/reference/core-classes/statsevent.md) uses secondary id or not.

## $secondary\_id <a href="#secondary_id" id="secondary_id"></a>

The secondary if for this event.

## $isTertiaryId <a href="#istertiaryid" id="istertiaryid"></a>

Whether this [StatsEvent](/reference/core-classes/statsevent.md) uses tertiary id or not.

## $tertiary\_id <a href="#tertiary-id" id="tertiary-id"></a>

The tertiary if for this event.

## $count <a href="#count" id="count"></a>

The number of times this stats event has been triggered during the time frame specified by this event's `resolution` and `timestamp`.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://cherrycake.tin.cat/reference/core-classes/statsevent/statsevent-properties.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
